#ifndef PREVIEW_H
#define PREVIEW_H

#include <QtGui/QDialog>
#include <QtGui>
#include <QImage>
#include <QBuffer>
#include <qdebug.h>
#include "idcardimage.h"

namespace Ui {
    class Preview;
}

class Preview : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(Preview)
public:
    explicit Preview(QWidget *parent = 0);
    explicit Preview(QWidget *parent, int id, QString name, QString firstname, QString lastname, QString image,QString barcode);
    virtual ~Preview();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::Preview *m_ui;
    QBuffer *imagebuffer;

private slots:
    void on_pushButton_clicked();
};

#endif // PREVIEW_H
